#!/bin/bash
# Build Script for libmcrypt
# Maintainer       : Ajay Kumar G <ajaykumar.mysore@gmail.com>
# Former author    : George Vlahavas (vlahavas~AT~gmail~DOT~com, gapan@zenwalk forums)
# project web page : http://mcrypt.sourceforge.net/
# source           : http://heanet.dl.sourceforge.net/sourceforge/mcrypt/libmcrypt-2.5.8.tar.bz2

soft="libmcrypt"
softversion="2.5.8"
srcpkg="http://heanet.dl.sourceforge.net/sourceforge/mcrypt/libmcrypt-$VERSION.tar.bz2"
documents="AUTHORS COPYING.LIB ChangeLog INSTALL KNOWN-BUGS NEWS README THANKS TODO"

buildir=`pwd`
pkg="$buildir/$soft-install"
arch="i486"
cpu="i686"
build="66.1"

rm -rf $pkg
mkdir -p $pkg

rm -rf $soft-$softversion
if [ -f $soft-$softversion.tar.bz2 ]; then
	echo "Source already there, no downloading needed";
else
 	echo "No source present. Downloading source . . . "
	wget -c $srcpkg
fi

mkdir $pkg/install
tar xvjf $soft-$softversion.tar.bz2
numjobs='-j2'
cd $soft-$softversion
chown -R root:root .
#export CFLAGS="-O2 -march=$arch -mtune=$cpu"
#export CXXFLAGS="-O2 -march=$arch -mtune=$cpu"
CC=c89 CFLAGS=-O2 LIBS=-lposix
./configure --prefix=/usr --localstatedir=/var --sysconfdir=/etc --enable-dynamic-loading 
make $numjobs
make install DESTDIR=$pkg

#rmdir $pkg/usr/lib/libmcrypt
cd $pkg
find . | xargs file | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null

mkdir -p $pkg/usr/doc/$soft-$softversion
cd $buildir/$soft-$softversion
cp -a $documents $pkg/usr/doc/$soft-$softversion

find $pkg/usr/man -type f -exec gzip -9 {} \;

mkdir -p $pkg/usr/src/$soft-$softversion
cp "$buildir/build-$soft.sh" "$pkg/usr/src/$soft-$softversion/build-$soft.sh"
chmod a+x "$pkg/usr/src/$soft-$softversion/build-$soft.sh"

libtool --finish /usr/lib/libmcrypt

cat > $pkg/install/slack-desc << END
$soft: libmcrypt is an encyption library
$soft:
$soft: limcrypt is the companion to MCrypt and contains the actual
$soft: encryption functions themselves, and provides a standardized
$soft: mechanism for accessing them.
$soft: 
$soft:
$soft:
$soft:
$soft:
$soft:
END

cd $pkg
chown -R root:root .
find . -perm 666 -exec chmod 644 {} \;
find . -perm 664 -exec chmod 644 {} \;
find . -perm 600 -exec chmod 644 {} \;
find . -perm 444 -exec chmod 644 {} \;
find . -perm 400 -exec chmod 644 {} \;
find . -perm 440 -exec chmod 644 {} \;
find . -perm 777 -exec chmod 755 {} \;
find . -perm 775 -exec chmod 755 {} \;
find . -perm 511 -exec chmod 755 {} \;
find . -perm 711 -exec chmod 755 {} \;
find . -perm 555 -exec chmod 755 {} \;

makepkg -l y -c n $buildir/$soft-$softversion-$arch-$build.txz

cd $buildir/
md5sum $soft-$softversion-$arch-$build.txz > $soft-$softversion-$arch-$build.md5
zen-pkgcheck.pl $soft-$softversion-$arch-$build.txz
depfinder -f $soft-$softversion-$arch-$build.txz

rm -rf $buildir/$soft-$softversion
rm -rf $pkg
